package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.hm.HmBookOrder;
import com.reptileclient.jlifeapp.entity.jz.CustomerClient;

import java.util.List;
import java.util.Map;

public interface CustomerClientMapper {
    int deleteByPrimaryKey(Long id);

    int insert(CustomerClient record);

    int insertSelective(CustomerClient record);

    CustomerClient selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CustomerClient record);

    int updateByPrimaryKey(CustomerClient record);
    
    String selectCustomerNo();
    
    CustomerClient selectByTel(String tel);

    long selectCountByTel(String tel);

    CustomerClient selectByWeixinOpenid(String openId);

    List<Map<String, Object>> selectCustomer(CustomerClient customerClient);

    int insertClientByBatch(List<HmBookOrder> hmBookOrders);
}